Subject: [PATCH v2] Re: git-am: fix maildir support regression for unordered headers in emails

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 15 Jul 2009 18:19:26 +0200

The 15/07/09, Derek Fawcus wrote:
> On Wed, Jul 15, 2009 at 12:27:05AM -0700, Junio C Hamano wrote:
>
> > It is unclear what you meant by "verbatim email".  A verbatim e-mail
> > in mbox begins with "From " header that is already covered in the existing
> > code long before support for stgit/hg was added.
> 
> I believe he is referring to the claimed support for maildir format boxes.

You're right. In a maildir each email is the file as is.

> > But I am not convinced that I understand what _problem_ you are trying to
> > solve in the first place.
> 
> Assuming it is maildir support,  then there is no 'header' as such in the
> file which can be detected.

True.

>                              One could try and detect that the contents
> are structured as an RFC822 message (but with local line ends),  or one
> could try and detect that the file is within a maildir folder.
> 
> It seems this patch is taking the former approach and trying to ensure
> the file consists of header fields.

You're perfectly right. I think it's the best approach because if the
files are moved to another folder (the repo?), they are still valid
patches.

-- 
Nicolas Sebrecht